Object property descriptor.

### Hierarchy

- PropertyDescriptor

## Index

### Properties

- configurable
- enumerable
- get
- isOwn
- name
- set
- symbol
- value
- wasThrown
- writable

## Properties

### configurable

configurable: boolean

- Defined in node_modules/@types/node/inspector.d.ts:1288

True if the type of this property descriptor may be changed and if the property may be deleted from the corresponding object.

### enumerable

enumerable: boolean

- Defined in node_modules/@types/node/inspector.d.ts:1293

True if this property shows up during enumeration of the properties on the corresponding object.

### Optional get

get: RemoteObject

- Defined in node_modules/@types/node/inspector.d.ts:1278

A function which serves as a getter for the property, or `undefined` if there is no getter (accessor descriptors only).

### Optional isOwn

isOwn: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1301

True if the property is owned for the object.

### name

name: string

- Defined in node_modules/@types/node/inspector.d.ts:1265

Property name or symbol description.

### Optional set

set: RemoteObject

- Defined in node_modules/@types/node/inspector.d.ts:1283

A function which serves as a setter for the property, or `undefined` if there is no setter (accessor descriptors only).

### Optional symbol

symbol: RemoteObject

- Defined in node_modules/@types/node/inspector.d.ts:1305

Property symbol object, if the property is of the `symbol` type.

### Optional value

value: RemoteObject

- Defined in node_modules/@types/node/inspector.d.ts:1269

The value associated with the property.

### Optional wasThrown

wasThrown: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1297

True if the result was thrown during the evaluation.

### Optional writable

writable: undefined | false | true

- Defined in node_modules/@types/node/inspector.d.ts:1273

True if the value associated with the property may be changed (data descriptors only).

Generated using TypeDoc